#ifndef GBUFFERMODULE_H
#define GBUFFERMODULE_H

#include "module.h"
#include <vector>
#include <cstddef>

class Shader;
class Mesh;

class GBufferModule : public Module
{
public:
    Shader* shader;
    std::vector<Mesh*> meshes;

    GBufferModule(Shader* myShader = NULL) : shader(myShader) {}

    void addMesh(Mesh* myMesh);
    void virtual renderGL(Camera* myCamera);
};

#endif // GBUFFERMODULE_H
