#ifndef MATERIAL_H
#define MATERIAL_H

#include "shader.h"
#include "glm/fwd.hpp"

class Material
{
public:
    Material(Shader* myShader = NULL) : shader(myShader) {}
    Shader* getShader() {return shader;}

    virtual void bindAttributes() = 0;

protected:
    Shader* shader;
};

#endif // MATERIAL_H
